System Requirements

Products supported

The ESET Direct Endpoint Management plug-in for NinjaOne works without a remote management server. Currently, NinjaOne supports the following ESET products:

Windows :

ESET Endpoint Antivirus (EEA) version 6.6 and later

ESET Endpoint Security (EES) version 6.6 and later

ESET File Security for Microsoft Windows Server (EFSW) version 7.0 and later

ESET Mail Security for Microsoft Exchange Server (EMSX) version 7.0 and later

 

macOS:

ESET Endpoint Antivirus (EEA) for macOS version 6.7 and later

ESET Endpoint Security (EES) for macOS version 6.7 and later

 

Linux:

ESET Endpoint Antivirus (EEA) for Linux version 8.x

ESET Server Security (ESS) for Linux version 8.1

 

For ESET endpoint System Requirements, refer to the System Requirements for Windows (EEA, EES), the System Requirements for macOS (EEA, EES) and System Requirements for Linux (EEA, ESS).

.NET Framework version 4.0.3 required

All Windows endpoints must have a minimum of .NET Framework version 4.0.3 for the ESET DEM plug-in for NinjaOne components to function properly.

eRMM program

The ESET DEM plug-in for NinjaOne components rely on a companion program, eRMM, that is downloaded automatically to each endpoint when an ESET-specific automation policy has been run on each endpoint. This software is auto-updating and only requires a working internet connection. The eRMM software acts as a means of communication between ESET products and NinjaOne.

Read the eRMM End User License Agreement.